---
lang: en
title: 'API docs: authentication.authenticateactionprovider._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticateactionprovider._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticateActionProvider](./authentication.authenticateactionprovider.md) &gt; [(constructor)](./authentication.authenticateactionprovider._constructor_.md)

## AuthenticateActionProvider.(constructor)

Constructs a new instance of the `AuthenticateActionProvider` class

**Signature:**

```typescript
constructor(getStrategies: Getter<AuthenticationStrategy | AuthenticationStrategy[] | undefined>, setCurrentUser: Setter<UserProfile>, setRedirectUrl: Setter<string>, setRedirectStatus: Setter<number>, options?: AuthenticationOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  getStrategies | Getter&lt;[AuthenticationStrategy](./authentication.authenticationstrategy.md) \| [AuthenticationStrategy](./authentication.authenticationstrategy.md)<!-- -->\[\] \| undefined&gt; |  |
|  setCurrentUser | [Setter](./context.setter.md)<!-- -->&lt;[UserProfile](./security.userprofile.md)<!-- -->&gt; |  |
|  setRedirectUrl | [Setter](./context.setter.md)<!-- -->&lt;string&gt; |  |
|  setRedirectStatus | [Setter](./context.setter.md)<!-- -->&lt;number&gt; |  |
|  options | [AuthenticationOptions](./authentication.authenticationoptions.md) | _(Optional)_ |


